import 'package:flutter/material.dart';
import 'package:percent_indicator/circular_percent_indicator.dart';

class CircularLoadingComponent extends StatelessWidget {
  final String textCenter;
  const CircularLoadingComponent(this.textCenter, {Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CircularPercentIndicator(
        animation: true,
        radius: 60.0,
        lineWidth: 5.0,
        percent: 0.5,
        center: Text(textCenter),
        progressColor: Colors.lightGreen,
    );
  }
}